com.holonplatform.jaxrs.swagger

## Enum JaxrsScannerType

- java.lang.Object
- - java.lang.Enum<JaxrsScannerType>
  - - com.holonplatform.jaxrs.swagger.JaxrsScannerType

- All Implemented Interfaces:
    Serializable, Comparable<JaxrsScannerType>

      public enum JaxrsScannerType
      extends Enum<JaxrsScannerType>

  OpenAPI JAX-RS scanner types enumeration.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION` JAX-RS annotation scanner: the classes annotated with `Path` will be included in the API definition.
    `APPLICATION` JAX-RS `Application` scanner: only the JAX-RS `Application` resource classes will be taken into account for the API definition.
    `APPLICATION_AND_ANNOTATION` JAX-RS `Application` and annotation scanner: both the JAX-RS `Application` resource classes and the classes annotated with `Path` will be included in the API definition.
    `DEFAULT` Default scanner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JaxrsScannerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JaxrsScannerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final JaxrsScannerType DEFAULT

      Default scanner.

    - #### APPLICATION

          public static final JaxrsScannerType APPLICATION

      JAX-RS `Application` scanner: only the JAX-RS `Application` resource classes will be taken into account for the API definition.

      If an explicit API configuration is provided, the configuration resource classes and/or resource packages will be used to filter the JAX-RS application classes to include in the API definition.

    - #### ANNOTATION

          public static final JaxrsScannerType ANNOTATION

      JAX-RS annotation scanner: the classes annotated with `Path` will be included in the API definition.

      Concrete implementations may also include classes with additional annotations.

      If an explicit API configuration is provided, the configuration resource classes and/or resource packages will be used to filter the detected classes to include in the API definition.

    - #### APPLICATION_AND_ANNOTATION

          public static final JaxrsScannerType APPLICATION_AND_ANNOTATION

      JAX-RS `Application` and annotation scanner: both the JAX-RS `Application` resource classes and the classes annotated with `Path` will be included in the API definition.

      Concrete implementations may also include classes with additional annotations.

      If an explicit API configuration is provided, the configuration resource classes and/or resource packages will be used to filter the detected classes to include in the API definition.

  - ### Method Detail

    - #### values

          public static JaxrsScannerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JaxrsScannerType c : JaxrsScannerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JaxrsScannerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.